Open CASCADE Technology: gce_MakeElips2d Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gce_MakeElips2d Class Reference

This class implements the following algorithms used to create Elips2d from gp. More...

`#include <gce_MakeElips2d.hxx>`

Inheritance diagram for gce_MakeElips2d:
[legend]

## Public Member Functions
| gce_MakeElips2d (const gp_Ax2d &MajorAxis, const Standard_Real MajorRadius, const Standard_Real MinorRadius, const Standard_Boolean Sense=Standard_True)
| Creates an ellipse with the major axis, the major and the minor radius. The location of the MajorAxis is the center of the ellipse. The sense of parametrization is given by Sense. It is possible to create an ellipse with MajorRadius = MinorRadius. the status is "InvertRadius" if MajorRadius < MinorRadius or "NegativeRadius" if MinorRadius < 0.0. More...
| gce_MakeElips2d (const gp_Ax22d &A, const Standard_Real MajorRadius, const Standard_Real MinorRadius)
| Axis defines the Xaxis and Yaxis of the ellipse which defines the origin and the sense of parametrization. Creates an ellipse with the AxisPlacement the major and the minor radius. The location of Axis is the center of the ellipse. It is possible to create an ellipse with MajorRadius = MinorRadius. the status is "InvertRadius" if MajorRadius < MinorRadius or "NegativeRadius" if MinorRadius < 0.0. More...
| gce_MakeElips2d (const gp_Pnt2d &S1, const gp_Pnt2d &S2, const gp_Pnt2d &Center)
| Makes an Elips2d with its center and two points. The sense of parametrization is given by S1, S2, and Center. Depending on the constructor, the implicit orientation of the ellipse is: More...
const gp_Elips2d & | Value () const
| Returns the constructed ellipse. Exceptions StdFail_NotDone if no ellipse is constructed. More...
const gp_Elips2d & | Operator () const
| operator gp_Elips2d () const
Public Member Functions inherited from gce_Root
Standard_Boolean | IsDone () const
| Returns true if the construction is successful. More...
gce_ErrorType | Status () const
| Returns the status of the construction: More...

## Additional Inherited Members
Protected Attributes inherited from gce_Root
gce_ErrorType | TheError

## Detailed Description

This class implements the following algorithms used to create Elips2d from gp.

- Create an ellipse from its center, and two points: one on the ciconference giving the major radius, the other giving the value of the small radius.
- Create an ellipse from its major axis and its major radius and its minor radius.

## Constructor & Destructor Documentation

gce_MakeElips2d::gce_MakeElips2d | ( | const gp_Ax2d & | MajorAxis,
|  | const Standard_Real | MajorRadius,
|  | const Standard_Real | MinorRadius,
|  | const Standard_Boolean | Sense = `Standard_True`
| ) |  |

Creates an ellipse with the major axis, the major and the minor radius. The location of the MajorAxis is the center of the ellipse. The sense of parametrization is given by Sense. It is possible to create an ellipse with MajorRadius = MinorRadius. the status is "InvertRadius" if MajorRadius < MinorRadius or "NegativeRadius" if MinorRadius < 0.0.

gce_MakeElips2d::gce_MakeElips2d | ( | const gp_Ax22d & | A,
|  | const Standard_Real | MajorRadius,
|  | const Standard_Real | MinorRadius
| ) |  |

Axis defines the Xaxis and Yaxis of the ellipse which defines the origin and the sense of parametrization. Creates an ellipse with the AxisPlacement the major and the minor radius. The location of Axis is the center of the ellipse. It is possible to create an ellipse with MajorRadius = MinorRadius. the status is "InvertRadius" if MajorRadius < MinorRadius or "NegativeRadius" if MinorRadius < 0.0.

gce_MakeElips2d::gce_MakeElips2d | ( | const gp_Pnt2d & | S1,
|  | const gp_Pnt2d & | S2,
|  | const gp_Pnt2d & | Center
| ) |  |

Makes an Elips2d with its center and two points. The sense of parametrization is given by S1, S2, and Center. Depending on the constructor, the implicit orientation of the ellipse is:

- the sense defined by A,
- the sense defined by points Center, S1 and S2,
- the trigonometric sense if Sense is not given or is true, or
- the opposite if Sense is false. It is possible to construct an ellipse where the major and minor radii are equal. Warning If an error occurs (that is, when IsDone returns false), the Status function returns:
- gce_InvertRadius if MajorRadius is less than MinorRadius,
- gce_NegativeRadius if MajorRadius or MinorRadius is less than 0.0,
- gce_NullAxis if points S1, S2 and Center are collinear, or
- gce_InvertAxis if the major radius computed with Center and S1 is less than the minor radius computed with Center, S1 and S2.

## Member Function Documentation

const gp_Elips2d& gce_MakeElips2d::Operator | ( |  | ) | const

gce_MakeElips2d::operator gp_Elips2d | ( |  | ) | const

const gp_Elips2d& gce_MakeElips2d::Value | ( |  | ) | const

Returns the constructed ellipse. Exceptions StdFail_NotDone if no ellipse is constructed.

The documentation for this class was generated from the following file:

- gce_MakeElips2d.hxx